/*! \file
* Copyright (c) 2008
* Project : Base
* File    : Frustum Header (Independent)
* Author  : Dave Reed
*/

/*-Include-Once--------------------------------------------------------------*/

#if !defined(__BASE_FRUSTUM_H__)
#define __BASE_FRUSTUM_H__ /*!< \brief Include once define. */


/*-Classes-------------------------------------------------------------------*/

/*!
* \brief The Math class - Misc maths functions, mostly wrappers around
* C library functions for now
*/
class Frustum
{
public:

	Vector	m_aPlanes[6];

	void	FromMatrix(Matrix &mtx);
	bool    SphereInFrustum(Vector &vPos, float fRad);
	bool    SphereInFrustum2D(Vector &vPos, float fRad);

};

#endif /* __BASE_FRUSTUM_H__ */
