
#include "Main.h"
#include "Platform_Shaders.h"


void Shaders::Initialize()
{
	Platform_Shaders::Initialize();
}


void Shaders::Shutdown()
{
	Platform_Shaders::Shutdown();
}


void Shaders::SetTexture(SHADER eShader, int iStage, Texture *pxTex)
{
	Platform_Shaders::SetTexture(eShader, iStage, pxTex);
}


void Shaders::SetSharedParamMatrix44(SHADER_SHAREDPARAM eParam, Matrix& mtx)
{
	Platform_Shaders::SetSharedParamMatrix44(eParam, mtx);
}


void Shaders::SetSharedParamVector4(SHADER_SHAREDPARAM eParam, Vector& vec)
{
	Platform_Shaders::SetSharedParamVector4(eParam, vec);
}


void Shaders::SetSharedParamFloat(SHADER_SHAREDPARAM eParam, float f)
{
	Platform_Shaders::SetSharedParamFloat(eParam, f);
}