

#include "Track.h"

#ifndef __RACER_H__
#define __RACER_H__

class Racer
{

public:

	Racer(neSimulator *pSim, Vector &vPos);
	~Racer();
	
	void Update(float fTimeStep, bool bInControl);
	void Render(Matrix *pxPosOrient = NULL, bool bWire = false);

	Vector &GetPos() {return m_vPos;}
	Matrix &GetPosOrient() {return m_xPosOrient;}

	void GetCamVectors(Vector &vFrom, Vector &vAt);

	void CollisionCallback(neCollisionInfo& collisionInfo);
	

	bool		 m_bThrust;
	neSimulator *m_pSimulator;
	neRigidBody *m_pBody;
	Matrix		 m_xOrient;
	Matrix		 m_xPosOrient;
	Vector       m_vPos;
	
	Vector       m_vFwd;
	Vector       m_vUp;
	Vector		 m_vRight;
	Vector       m_vUpTarget;
	float	     m_fAirborne;
	float		 m_fExtraCamHeight;
	float        m_fOrient;
	float		 m_fRV;
};


#endif