
// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Common.fxh
// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


// Global parameters, in the shared pool, set by the engine
// (Warning - Most of these don't get set up yet - see Platform_Render.cpp)
// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


shared float4x4		g_f4x4WorldViewProj	: WORLDVIEWPROJ;
shared float4x4     g_f4x42DXform;							// Transformation for 2D blitting (inc. fonts)
shared float4       g_f4PixelsToViewport;					// .x = X scale, .y = Y scale
shared float4       g_f4EffectControl;						// Controls a number of different shader-based effects

shared float   		g_fLightingAmount;
