
/*! \file
* Copyright (c) 2008
* Project : Flatscape
* File    : TiXmlUtil Header (Independent)
* Author  : Dave Reed
*/

/*-Include-Once--------------------------------------------------------------*/

#if !defined(__FLATSCAPE_TIXMLUTIL_H__)
#define __FLATSCAPE_TIXMLUTIL_H__ 

/*-Project-Includes----------------------------------------------------------*/

#include "TinyXML.h"

/*-Classes-------------------------------------------------------------------*/

class TiXmlUtil
{
public:
	static float  GetFloat(TiXmlElement *pxElt,  char *szAttrib, float fDefault = 0.0f);
	static uint32 GetUInt(TiXmlElement *pxElt,   char *szAttrib, uint32 uDefault = 0);
	static int    GetInt(TiXmlElement *pxElt,    char *szAttrib, int iDefault = 0);
	static bool   GetBool(TiXmlElement *pxElt,    char *szAttrib, bool bDefault = false);
	static char  *GetString(TiXmlElement *pxElt, char *szAttrib, char *szDefault = "");
	static char  *GetFileName(TiXmlElement *pxElt, char *szDefault = "");
};


#endif // __FLATSCAPE_TIXMLUTIL_H__
